#
# spec file for package csound
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           csound
%define support_fltk	0
BuildRequires:  alsa-devel
BuildRequires:  fdupes
BuildRequires:  fluidsynth-devel
BuildRequires:  gcc-c++
BuildRequires:  jack-devel
BuildRequires:  liblo-devel
BuildRequires:  libsndfile-devel
BuildRequires:  portaudio-devel
BuildRequires:  python-devel
BuildRequires:  scons
BuildRequires:  swig
%if %support_fltk
BuildRequires:  fltk-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  xorg-x11-devel
%endif
Summary:        Computer Sound Synthesis and Composition Program
License:        GFDL-1.2 ; LGPL-2.1+ ; MIT
Group:          Productivity/Multimedia/Sound/Utilities
Version:        5.06.0
Release:        139.140.1
Source:         Csound%{version}.tar.bz2
Source1:        README.SuSE
Patch:          csound-alsa-fix.diff
Patch1:         csound-tmpnam-fix.diff
Patch2:         csound-gcc-warning-fix.diff
Patch3:         csound-python-2.6-fix.diff
Patch4:         csound-sanitize-sys.patch
Patch5:         csound-fix-CVE-2012-0270.patch
Url:            http://www.csounds.com
AutoReq:        on
Autoprov:       off
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Csound is a software synthesis program. It is fully modular and
supports an unlimited amount of oscillators and filters.

For detailed information, refer to http://www.csounds.com.



%prep
%setup -q -n Csound%{version}
%patch
%patch1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
cp %{SOURCE1} .
# fix encoding
iconv -f latin1 -t utf8 readme-csound5.txt > readme-csound5.txt.utf8
mv readme-csound5.txt.utf8 readme-csound5.txt
test -f custom.py || cp custom.py.mkg custom.py

%build
%if %_lib == "lib64"
args="Word64=1"
%else
args=""
%endif
scons prefix=%{_prefix} buildRelease=1 $args \
  customCCFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  customCXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
%if %_lib == "lib64"
args="--word64"
%else
args=""
%endif
./install.py --prefix=%{_prefix} --instdir="$RPM_BUILD_ROOT" $args
rm -f $RPM_BUILD_ROOT%{_prefix}/csound5-*.md5sums
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/csound
# rename conflicting binary names
mv $RPM_BUILD_ROOT%{_bindir}/sndinfo $RPM_BUILD_ROOT%{_bindir}/csndinfo
mv $RPM_BUILD_ROOT%{_bindir}/extract $RPM_BUILD_ROOT%{_bindir}/csound-extract
# remove devel files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -rf $RPM_BUILD_ROOT%{_includedir}
%fdupes -s $RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL readme-csound5.txt README.SuSE
%{_bindir}/*
%{_libdir}/csound
%{_datadir}/csound
# %{_includedir}/*
# %{_libdir}/lib*

%changelog
* Mon Feb 27 2012 tiwai@suse.de
- VUL-0: CVE-2012-0270: csound: two buffer overflow flaws in getnum()
  (bnc#749073)
* Thu Jul 16 2009 tiwai@suse.de
- fix scons argument to build for 64bit archs (bnc#521979)
* Wed Jan 28 2009 tiwai@suse.de
- Fix python module search path insecure issue (bnc#470095)
  This package is unaffected; the patch is included just for any
  possible cases in future.
* Wed Oct  1 2008 tiwai@suse.de
- fix build with python-2.6
* Wed Jun 20 2007 tiwai@suse.de
- fix fdupes usage
* Mon Jun 11 2007 tiwai@suse.de
- updated to version 5.06:
  * fix k-rate, vrandh and vrandi scaling problems, mod fix
  * new opcodes: partikkel, partikkelsync
* Tue Mar 27 2007 tiwai@suse.de
- update to version 5.05:
  * fixes/improvements on FLTK support
  * fix heap overflow
  * clean up old codes
* Mon Jan 22 2007 tiwai@suse.de
- major update to version 5.04
  (not built with fltk due to lack of threading support)
* Mon Mar 27 2006 pth@suse.de
- Add missing parameter in printf call (bug #129676).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 15 2004 tiwai@suse.de
- renamed extract to csound-extract to avoid name confliction
  (bug #45347).
* Wed Jun  2 2004 tiwai@suse.de
- fixed the ALSA RT plugin with the new API.
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig and %%defattr
* Tue Aug  5 2003 tiwai@suse.de
- renamed sndinfo to csndinfo to avoid name confliction with snd.
* Wed Jul 30 2003 tiwai@suse.de
- fixed the build on x86-64.
* Mon Jul 28 2003 tiwai@suse.de
- updated to 4.24.1.
- fixed tmpnam with mkstemp.
* Thu Feb  1 2001 tiwai@suse.de
- Initial vesrion: unofficial-4.10.0.0c
